#Need to pick up the Adwaita icon theme
set TMP_ADWAITA_XDG_DATA = "$CONDA_PREFIX/share"
set TMP_ADWAITA_XDG_CONFIG = "$CONDA_PREFIX/etc/xdg"

#Add TMP_ADWAITA_XDG_DATA to XDG_DATA_DIRS uniquely
if ($?XDG_DATA_DIRS) then
   if ( `echo $XDG_DATA_DIRS | grep $TMP_ADWAITA_XDG_DATA` != "" ) then
      set XDG_DATA_DIRS = (`echo " $XDG_DATA_DIRS " | sed "s%$TMP_ADWAITA_XDG_DATA%%g"`)
   endif
   if ( $XDG_DATA_DIRS != "" ) then
      set XDG_DATA_DIRS = ${TMP_ADWAITA_XDG_DATA}:${XDG_DATA_DIRS}
   else
      set XDG_DATA_DIRS = ${TMP_ADWAITA_XDG_DATA}
   endif
   setenv XDG_DATA_DIRS `echo "{$XDG_DATA_DIRS}" | sed "s%::%:%g"`
else
   setenv XDG_DATA_DIRS $TMP_ADWAITA_XDG_DATA
endif

#Add TMP_ADWAITA_XDG_CONFIG to XDG_CONFIG_DIRS uniquely
if ($?XDG_CONFIG_DIRS) then
   if ( `echo $XDG_CONFIG_DIRS | grep $TMP_ADWAITA_XDG_CONFIG` != "" ) then
      set XDG_CONFIG_DIRS = (`echo " $XDG_CONFIG_DIRS " | sed "s%$TMP_ADWAITA_XDG_CONFIG%%g"`)
   endif
   if ( $XDG_CONFIG_DIRS != "" ) then
      set XDG_CONFIG_DIRS = ${TMP_ADWAITA_XDG_CONFIG}:${XDG_CONFIG_DIRS}
   else
      set XDG_CONFIG_DIRS = ${TMP_ADWAITA_XDG_CONFIG}
   endif
   setenv XDG_CONFIG_DIRS `echo "{$XDG_CONFIG_DIRS}" | sed "s%::%:%g"`
else
   setenv XDG_CONFIG_DIRS $TMP_ADWAITA_XDG_CONFIG
endif

unset TMP_ADWAITA_XDG_DATA TMP_ADWAITA_XDG_CONFIG
