#! /bin/bash

export PKG_CONFIG_LIBDIR="$PREFIX/lib/pkgconfig:$PREFIX/share/pkgconfig"

if [ "${target_platform}" = "osx-64" ] ; then
  CONDA_BUILD_SYSROOT=/opt/MacOSX10.9.sdk
elif [ "${target_platform}" = "linux-64" ] ; then
  export PKG_CONFIG_LIBDIR="${PKG_CONFIG_LIBDIR}:${BUILD_PREFIX}/$HOST/sysroot/usr/lib64:${BUILD_PREFIX}/$HOST/sysroot/lib64"
  export LD_LIBRARY_PATH="${PREFIX}/lib:${PREFIX}/$HOST/sysroot/usr/lib64:${BUILD_PREFIX}/lib:${BUILD_PREFIX}/$HOST/sysroot/usr/lib64"
#  export LDFLAGS="-L${PREFIX}/lib -lrsvg"
#  export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib -L${PREFIX}/lib/gdk-pixbuf-2.0/2.10.0/loaders"
  export PATH="$PATH:$PREFIX/$HOST/sysroot/usr/bin:${BUILD_PREFIX}/bin:$BUILD_PREFIX/$HOST/sysroot/usr/bin"

  #Update the loaders.cache to include rsvg
  echo "Updating loaders.cache to include rsvg"
#  rm -f ${PREFIX}/gdk-pixbuf-2.0/2.10.0/loaders.cache
  gdk-pixbuf-query-loaders >> ${PREFIX}/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache  
  echo "Done updating."
fi

CONFIG_FLAGS="--prefix=$PREFIX"

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $CONDA_PREFIX -name '*.la' -delete
find $PREFIX -name '*.la' -delete

./configure --prefix=$PREFIX \
    --host=$HOST \
    || { cat config.log ; exit 1 ; }

make -j$CPU_COUNT
make install -j$CPU_COUNT

cd $PREFIX
#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $PREFIX -name '*.a' -delete
rm -rf share/gtk-doc

# Copy the [de]activate scripts to $PREFIX/etc/conda/[de]activate.d.
# This will allow them to be run on environment activation.
for CHANGE in "activate"
do
    mkdir -p "${PREFIX}/etc/conda/${CHANGE}.d"
    cp "${RECIPE_DIR}/${CHANGE}.sh" "${PREFIX}/etc/conda/${CHANGE}.d/${PKG_NAME}_${CHANGE}.sh"
    cp "${RECIPE_DIR}/${CHANGE}.csh" "${PREFIX}/etc/conda/${CHANGE}.d/${PKG_NAME}_${CHANGE}.csh"
done
